org.apache.http.impl.conn.tsccm

## Interface PoolEntryRequest

Deprecated.
(4.2) use `Future`

    @Deprecated
    public interface PoolEntryRequest

Encapsulates a request for a `BasicPoolEntry`.

Since:
  4.0

### Method Summary

Methods
`void` `abortRequest()` Deprecated. Aborts the active or next call to `getPoolEntry(long, TimeUnit)`.
`BasicPoolEntry` `getPoolEntry(long timeout, TimeUnit timeUnit)` Deprecated. Obtains a pool entry with a connection within the given timeout.

### Method Detail

#### getPoolEntry

    BasicPoolEntry getPoolEntry(long timeout,
                              TimeUnit timeUnit)
                                throws InterruptedException,
                                       ConnectionPoolTimeoutException

Deprecated.
Obtains a pool entry with a connection within the given timeout. If `abortRequest()` is called before this completes an `InterruptedException` is thrown.

Parameters:
  `timeout` - the timeout, 0 or negative for no timeout
  `timeUnit` - the unit for the `timeout`, may be `null` only if there is no timeout
Returns:
  pool entry holding a connection for the route
Throws:
  `ConnectionPoolTimeoutException` - if the timeout expired
  `InterruptedException` - if the calling thread was interrupted or the request was aborted

#### abortRequest

    void abortRequest()

Deprecated.
Aborts the active or next call to `getPoolEntry(long, TimeUnit)`.